<?php
    /*
    Plugin Name: Skeleton Shortcode Plugin
    Author: Robert Nicholson
    Version: 1.0
    */
	
	/* Add admin function to WordPress menu */
	function skeleton_admin() {
    	include('skeleton-shortcode-admin.php');
	}
	
	function skeleton_admin_actions() {
    	add_options_page('Skeleton Configuration', 'Skeleton Configuration','manage_options', 'skeleton-admin', 'skeleton_admin');
	}

	add_action('admin_menu', 'skeleton_admin_actions');
		
	/* Add shortcode display function to WordPress */
	function skeleton_shortcode( $atts ) {
		$skeletonbody = get_option( 'skeletonbody', '' );
		$skeletonbody = str_replace('\\', '', $skeletonbody);
		return $skeletonbody;
 	}

	add_shortcode( 'skeletonbody', 'skeleton_shortcode' );


?>